List contacts
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Get contacts in the user's mailbox.
There are two scenarios where an app can get contacts in another user's contact folder:
- If the app has application permissions, or,
- If the app has the appropriate delegated permissions from one user, and another user has shared a contact folder with that user, or, has given delegated access to that user. See details and an example.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Contacts.Read, Contacts.ReadWrite |
| Delegated (personal Microsoft account) | Contacts.Read, Contacts.ReadWrite |
| Application | Contacts.Read, Contacts.ReadWrite |
HTTP request
To get all the contacts in a user's default Contacts folder:
GET /me/contacts
GET /users/{id | userPrincipalName}/contacts
To get contacts in a specific folder in the user's mailbox:
GET /me/contactfolders/{Id}/contacts
GET /users/{id | userPrincipalName}/contactfolders/{id}/contacts
GET /me/contactFolders/{id}/childFolders/{id}/.../contacts
GET /users/{id | userPrincipalName}/contactFolders/{id}/childFolders/{id}/contacts
Optional query parameters
You can use the $filter query parameter to filter contacts based on their email addresses:
GET https://graph.microsoft.com/beta/me/contacts?$filter=emailAddresses/any(a:a/address eq 'garth@contoso.com')
Note that you can use $filter, any, and the eq operator on only the address sub-property of instances in an emailAddresses collection. That is, you cannot filter on the name or any other sub-property of an instance of emailAddresses, nor can you apply any other operator or function with filter, such as ne, le, and startswith().
For general information on the $filter query parameter, see OData query parameters.
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and collection of contact objects in the response body.
Example
Request
The following example gets the displayName and emailAddresses properties of the signed-in user's contacts.
GET https://graph.microsoft.com/beta/me/contacts?$select=displayName,emailAddresses
Response
Here is an example of the response. Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context":"https://graph.microsoft.com/beta/$metadata#users('c3e1fcd2-db78-42a8-aec5-1f2cd59abb5c')/contacts(displayName,emailAddresses)",
"value":[
{
"@odata.etag":"W/\"EQAAABYAAACv7At+UNVFRLhGciJGF6v5AAAve7f6\"",
"id":"AAMkADh6v5AAAvgTCFAAA=",
"displayName":"Elvis Blank",
"emailAddresses":[
{
"type":"personal",
"name":"Elvis Blank",
"address":"elvisb@relecloud.onmicrosoft.com"
},
{
"type":"other",
"otherLabel":"Volunteer work",
"name":"Elvis Blank",
"address":"elvisb@fabrikam.onmicrosoft.com"
}
]
},
{
"@odata.etag":"W/\"EQAAABYAAACv7At+UNVFRLhGciJGF6v5AAAve7fn\"",
"id":"AAMkADh6v5AAAvgTCEAAA=",
"displayName":"Pavel Bansky",
"emailAddresses":[
{
"type":"personal",
"name":"Pavel Bansky",
"address":"pavelb@contoso.onmicrosoft.com"
},
{
"type":"other",
"otherLabel":"Volunteer work",
"name":"Pavel Bansky",
"address":"pavelb@fabrikam.onmicrosoft.com"
}
]
}
]
}
Feedback
Submit and view feedback for